<?php
/**
 * Typography
 *
 * @package Millennium News
 */

$wp_customize->add_section(
	'millennium_news_typography',
	array(
		'panel' => 'millennium_news_theme_options',
		'title' => esc_html__( 'Typography', 'millennium-news' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'millennium_news_site_title_font',
	array(
		'default'           => 'Rubik',
		'sanitize_callback' => 'millennium_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'millennium_news_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'millennium-news' ),
		'section'  => 'millennium_news_typography',
		'settings' => 'millennium_news_site_title_font',
		'type'     => 'select',
		'choices'  => millennium_news_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'millennium_news_site_description_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'millennium_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'millennium_news_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'millennium-news' ),
		'section'  => 'millennium_news_typography',
		'settings' => 'millennium_news_site_description_font',
		'type'     => 'select',
		'choices'  => millennium_news_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'millennium_news_header_font',
	array(
		'default'           => 'Roboto',
		'sanitize_callback' => 'millennium_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'millennium_news_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'millennium-news' ),
		'section'  => 'millennium_news_typography',
		'settings' => 'millennium_news_header_font',
		'type'     => 'select',
		'choices'  => millennium_news_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'millennium_news_body_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'millennium_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'millennium_news_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'millennium-news' ),
		'section'  => 'millennium_news_typography',
		'settings' => 'millennium_news_body_font',
		'type'     => 'select',
		'choices'  => millennium_news_get_all_google_font_families(),
	)
);
